Bug 501685 - Crash when using Testopia's test case editor
Crash when using Testopia's test case editor
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
: 528694 533359 540852 542721 542918 545338 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 06:26 EDT by Michal Nowak
Modified: 2018-04-11 15:31 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 03:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (20.40 KB, text/plain)
2009-05-20 06:29 EDT, Michal Nowak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 495392 None None None Never

  None (edit)
Description Michal Nowak 2009-05-20 06:26:50 EDT
Description of problem:

Reproducer:

Go to: https://testopia.devel.redhat.com/bugzilla/tr_show_case.cgi?case_id=8681 (some "editor" in javascript).
Press second button (the middle one) in the right white text field right after
the word "chosen", it stacks for 5s and then crashes.

Reproducer_2:

Click with third (right) mouse button on random item in Bookmarks toolbar.

firefox-3.5-0.20.beta4.fc11.x86_64
xulrunner-1.9.1-0.20.beta4.fc11.x86_64
nss-3.12.3-4.fc11.x86_64
nspr-4.7.3-5.fc11.x86_64

Version-Release number of selected component (if applicable):

/usr/lib64/firefox-3.5b4/firefox 
kernel-2.6.29.3-140.fc11.x86_64
firefox-3.5-0.20.beta4.fc11

How reproducible:

always

Actual results:

crash
Comment 1 Michal Nowak 2009-05-20 06:29:11 EDT
Created attachment 344774 [details]
backtrace
Comment 2 Michal Nowak 2009-05-20 10:39:15 EDT
Just to note that R#1 it crashes FF even without add-ons (disabled vimperator notably), on just need to play a bit in the Testopia UI to trigger the bug.
Comment 3 Matěj Cepl 2009-05-27 16:54:11 EDT
Hmm, I cannot reproduce it here with identical packages. Some more questions: do you have Gnome or KDE? If KDE, do you use gtk-qt-engine? If yes, this might be a duplicate of bug 501427.
Comment 4 Michal Nowak 2009-05-28 05:15:25 EDT
(In reply to comment #3)
> Hmm, I cannot reproduce it here with identical packages. Some more questions:
> do you have Gnome or KDE? 

None of them directly. I am running bunch of GNOME apps and also /usr/libexec/gnome-settings-daemon, so, it's GNOME-like environment, btw. the WM is Awesome (not in Fedora).

> If KDE, do you use gtk-qt-engine? If yes, this might
> be a duplicate of bug 501427.  

Nope.
Comment 5 Matěj Cepl 2009-05-28 12:33:45 EDT
The critical part is:

Thread 1 (Thread 20486):
#0  0x00000033b140ed5b in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#1  0x0000003f72873244 in nsProfileLock::FatalSignalHandler (signo=11) at nsProfileLock.cpp:212
#2  <signal handler called>
#3  strcmp () at ../sysdeps/x86_64/strcmp.S:29
#4  0x0000003f7306c82d in nsClipboard::HasDataMatchingFlavors (this=<value optimized out>, 
    aFlavorList=<value optimized out>, aLength=1, aWhichClipboard=<value optimized out>, _retval=0x7fff29c80a1c)
    at nsClipboard.cpp:448
#5  0x0000003f72e3d243 in nsHTMLEditor::HavePrivateHTMLFlavor (this=<value optimized out>, aClipboard=0x0)
    at nsHTMLDataTransfer.cpp:1844
#6  0x0000003f72e3f5ff in nsHTMLEditor::Paste (this=0x7f430705f800, aSelectionType=0) at nsHTMLDataTransfer.cpp:1869
#7  0x0000003f72d23ee6 in nsTextEditorMouseListener::MouseClick (this=0x7f430704fd80, aMouseEvent=<value optimized out>)
    at nsEditorEventListeners.cpp:362
#8  0x0000003f72e7fb45 in nsHTMLEditorMouseListener::MouseClick (this=0x7f430704fd80, aMouseEvent=0x7f43071b9640)
    at nsHTMLEditorMouseListener.cpp:307
#9  0x0000003f72bbf992 in DispatchToInterface (aIID=<value optimized out>, aMethod=<value optimized out>, 
    aListener=<value optimized out>, aEvent=<value optimized out>) at nsEventListenerManager.cpp:184
#10 nsEventListenerManager::HandleEvent (aIID=<value optimized out>, aMethod=<value optimized out>, 
    aListener=<value optimized out>, aEvent=<value optimized out>) at nsEventListenerManager.cpp:1203
#11 0x0000003f72bdaaea in nsEventTargetChainItem::HandleEvent (this=0x7f430551f8a8, aVisitor=@0x7fff29c81070, aFlags=2, 
    aMayHaveNewListenerManagers=0) at nsEventDispatcher.cpp:236
#12 0x0000003f72bdacb1 in nsEventTargetChainItem::HandleEventTargetChain (this=<value optimized out>, 
    aVisitor=@0x7fff29c81070, aFlags=<value optimized out>, aCallback=0x7fff29c81120, aMayHaveNewListenerManagers=490)
    at nsEventDispatcher.cpp:324
#13 0x0000003f72bdb0a7 in nsEventDispatcher::Dispatch (aTarget=<value optimized out>, aPresContext=<value optimized out>, 
    aEvent=0x7fff29c81240, aDOMEvent=0x0, aEventStatus=0x7fff29c816fc, aCallback=<value optimized out>)
    at nsEventDispatcher.cpp:514
#14 0x0000003f72a254ed in PresShell::HandleEventInternal (this=0x7f4307723000, aEvent=0x7fff29c81240, 
    aView=<value optimized out>, aStatus=0x7fff29c816fc) at nsPresShell.cpp:6136
#15 0x0000003f72a25b53 in PresShell::HandleEventWithTarget (this=0x7f4307723000, aEvent=0x7fff29c81240, 
    aFrame=<value optimized out>, aContent=<value optimized out>, aStatus=0x1ea) at nsPresShell.cpp:6041
#16 0x0000003f72bcae71 in nsEventStateManager::CheckForAndDispatchClick (this=0x7f430931d8a0, 
    aPresContext=<value optimized out>, aEvent=0x7fff29c81840, aStatus=0x7fff29c816fc) at nsEventStateManager.cpp:4073
#17 0x0000003f72bcb2c9 in nsEventStateManager::PostHandleEvent (this=0x7f430931d8a0, aPresContext=0x7f4307225c00, 
    aEvent=0x7fff29c81840, aTargetFrame=<value optimized out>, aStatus=0x7fff29c816fc, aView=0x7f4307235400)
    at nsEventStateManager.cpp:3036
#18 0x0000003f72a255f4 in PresShell::HandleEventInternal (this=0x7f4307723000, aEvent=0x7fff29c81840, 
    aView=<value optimized out>, aStatus=0x7fff29c816fc) at nsPresShell.cpp:6157
#19 0x0000003f72a25c94 in PresShell::HandlePositionedEvent (this=0x7f4307723000, aView=0x7f4307235400, 
    aTargetFrame=0x7fff29c81600, aEvent=0x7fff29c81840, aEventStatus=0x7fff29c816fc) at nsPresShell.cpp:6024
#20 0x0000003f72a26019 in PresShell::HandleEvent (this=0x7f430a046800, aView=0x7f430a079900, aEvent=0x7fff29c81840, 
    aEventStatus=0x7fff29c816fc) at nsPresShell.cpp:5877
#21 0x0000003f72cb0624 in nsViewManager::HandleEvent (this=<value optimized out>, aView=0x7f430a079900, 
    aPoint=<value optimized out>, aEvent=0x7fff29c81840, aCaptured=<value optimized out>) at nsViewManager.cpp:1394
#22 0x0000003f72cb2915 in nsViewManager::DispatchEvent (this=0x7f4309055af0, aEvent=0x7fff29c81840, aStatus=0x7fff29c817fc)
    at nsViewManager.cpp:1353
#23 0x0000003f72cad4f5 in HandleEvent (aEvent=0x7fff29c81840) at nsView.cpp:167
#24 0x0000003f73052a39 in nsWindow::DispatchEvent (this=0x7f4307319400, aEvent=<value optimized out>, 
    aStatus=@0x7f432191a9f0) at nsWindow.cpp:574
#25 0x0000003f7305b58c in nsWindow::OnButtonReleaseEvent (this=0x7f4307319400, aWidget=<value optimized out>, 
    aEvent=0x7f43073e46a0) at nsWindow.cpp:2808
#26 0x0000003f7305b5e1 in button_release_event_cb (widget=0x7f431699c580, event=0x7f43073e46a0) at nsWindow.cpp:5369
#27 0x00000033ba12fcd8 in _gtk_marshal_BOOLEAN__BOXED (closure=0x7f43169a86a0, return_value=0x7fff29c81ab0, 
    n_param_values=<value optimized out>, param_values=0x7f43073d64c0, invocation_hint=<value optimized out>, 
    marshal_data=0x3f7305b5b7) at gtkmarshalers.c:84
#28 0x00000033b280b8ae in IA__g_closure_invoke (closure=0x7f43169a86a0, return_value=0x7fff29c81ab0, n_param_values=2, 
    param_values=0x7f43073d64c0, invocation_hint=0x7fff29c81a70) at gclosure.c:767
#29 0x00000033b2820ff5 in signal_emit_unlocked_R (node=0x7f43219d5a10, detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3247
#30 0x00000033b282229c in IA__g_signal_emit_valist (instance=0x7f431699c580, signal_id=<value optimized out>, detail=0, 
    var_args=0x7fff29c81c60) at gsignal.c:2990
#31 0x00000033b2822963 in IA__g_signal_emit (instance=0x0, signal_id=1932120195, detail=563194352) at gsignal.c:3037
#32 0x00000033ba235ecf in gtk_widget_event_internal (widget=0x7f431699c580, event=0x7f43073e46a0) at gtkwidget.c:4761
#33 0x00000033ba128483 in IA__gtk_propagate_event (widget=0x7f431699c580, event=0x7f43073e46a0) at gtkmain.c:2396
#34 0x00000033ba1294ab in IA__gtk_main_do_event (event=0x7f43073e46a0) at gtkmain.c:1601
#35 0x00000033b744e9dc in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, 
    user_data=<value optimized out>) at gdkevents-x11.c:2364
#36 0x00000033b203818e in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
#37 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#38 0x00000033b203b8e8 in g_main_context_iterate (context=0x7f4321959870, block=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2448
#39 0x00000033b203ba5c in IA__g_main_context_iteration (context=0x7f4321959870, may_block=0) at gmain.c:2511
#40 0x0000003f7307308f in nsBaseAppShell::DoProcessNextNativeEvent (this=0x0, mayWait=1932120195) at nsBaseAppShell.cpp:151
#41 0x0000003f7307319b in nsBaseAppShell::OnProcessNextEvent (this=0x7f431bb3a160, thr=0x7f432193b790, mayWait=1, 
    recursionDepth=<value optimized out>) at nsBaseAppShell.cpp:278
#42 0x0000003f731486f8 in nsThread::ProcessNextEvent (this=0x7f432193b790, mayWait=1, result=0x7fff29c8202c)
    at nsThread.cpp:497
#43 0x0000003f73119f10 in NS_ProcessNextEvent_P (thread=0x0, mayWait=1932120195) at nsThreadUtils.cpp:227
#44 0x0000003f730732d9 in nsBaseAppShell::Run (this=0x7f431bb3a160) at nsBaseAppShell.cpp:170
#45 0x0000003f72f23a14 in nsAppStartup::Run (this=0x7f431b28a640) at nsAppStartup.cpp:193
#46 0x0000003f7286d4f8 in XRE_main (argc=<value optimized out>, argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3298
#47 0x00000000004022ab in main (argc=<value optimized out>, argv=0x7fff29c85a78) at nsXULStub.cpp:385
Current language:  auto; currently minimal
(gdb)
Comment 6 Martin Stransky 2009-05-29 01:08:43 EDT
It's here at sClipboard.cpp:448

  for (PRInt32 j = 0; j < n_targets; j++) {
     gchar *atom_name = gdk_atom_name(targets[j]);
>>   if (!strcmp(atom_name, aFlavorList[i]))
        *_retval = PR_TRUE;

Unfortunately all values are optimized out.
Comment 7 Martin Stransky 2009-05-29 01:13:11 EDT
According to gtk documentation gdk_atom_name() always returns valid pointer so the broken value must be aFlavorList[i].
Comment 8 Martin Stransky 2009-05-29 01:30:40 EDT
No, I'm wrong, gdk_atom_name() returns NULL if some broken value is inserted as input...
Comment 9 Martin Stransky 2009-05-29 03:11:20 EDT
Moving upstream - https://bugzilla.mozilla.org/show_bug.cgi?id=495392
Comment 10 Ryan Campbell 2009-07-28 18:09:04 EDT
I can reproduce this reliably on Fedora11 using Thunderbird and Oracle SQL Developer.

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1b3pre) Gecko/20090513 Fedora/3.0-2.3.beta2.fc11 Lightning/1.0pre Thunderbird/3.0b2

1. Install Oracle SQL Developer (java app) from http://www.oracle.com/technology/software/products/sql/index.html

2. Use builtin IcedTea java to start oracle sql developer:

[rcampbell@rcampbell-linux ~]$ java -version
java version "1.6.0_0"
OpenJDK Runtime Environment (IcedTea6 1.5) (fedora-25.b16.fc11-x86_64)
OpenJDK 64-Bit Server VM (build 14.0-b15, mixed mode)

3.  Go to Help-About in SQL Developer.  Ctrl-c (copy) the version number.

4.  Create a new message in Thunderbird.  Ctrl-p paste the clipboard into the message.

Result: You will get the segfault.  I get the same stacktrace as posted above so I don't think it would be helpful to post again.  Let me know otherwise.

**Interesting**: If you try to *start* thunderbird with the clipboard already populated from SQL Developer, Thunderbird will segfault on startup with the following, slightly different stack trace:

#0  0x0000003d46e0ed5b in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#1  0x0000003778a1f308 in nsProfileLock::FatalSignalHandler (signo=11) at nsProfileLock.cpp:212
#2  <signal handler called>
#3  strcmp () at ../sysdeps/x86_64/strcmp.S:29
#4  0x00007ff94bfcba79 in nsClipboard::HasDataMatchingFlavors (this=<value optimized out>, aFlavorList=<value optimized out>, aLength=2, 
    aWhichClipboard=<value optimized out>, _retval=0x7fff48f83278)
    at /usr/src/debug/thunderbird-3.0/mozilla/widget/src/gtk2/nsClipboard.cpp:448
#5  0x0000003778678465 in NS_InvokeByIndex_P (that=0x0, methodIndex=1045260144, paramCount=1426114992, params=0xffffffff)
    at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_x86_64_linux.cpp:208
#6  0x00007ff94c41e007 in XPCWrappedNative::CallMethod (ccx=@0x7fff48f83610, mode=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp:2424
#7  0x00007ff94c426727 in XPC_WN_CallMethod (cx=0x7ff946820000, obj=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, vp=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp:1583
#8  0x000000388a24c098 in js_Invoke (cx=0x7ff946820000, argc=<value optimized out>, vp=0x7ff946836420, flags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:1316
#9  0x000000388a24630e in js_Interpret (cx=0x7ff946820000) at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:5000
#10 0x000000388a24c0f0 in js_Invoke (cx=0x7ff946820000, argc=<value optimized out>, vp=0x7ff9468362f0, flags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:1334
#11 0x00007ff94c41a31a in nsXPCWrappedJSClass::CallMethod (this=0x7ff9453b9600, wrapper=<value optimized out>, 
    methodIndex=<value optimized out>, info=0x7ff947989360, nativeParams=0x7fff48f84010)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp:1606
#12 0x0000003778679045 in PrepareAndDispatch(struct nsXPTCStubBase *, PRUint32, PRUint64 *, PRUint64 *, double *) (self=0x7ff93e4f6180, 
    methodIndex=<value optimized out>, args=0x7fff48f84190, gpregs=0x7fff48f84110, fpregs=0x7fff48f84140)
    at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcstubs_x86_64_linux.cpp:151
#13 0x0000003778678507 in SharedStub () from /usr/lib64/thunderbird-3.0b2/libxpcom_core.so
#14 0x0000003778678465 in NS_InvokeByIndex_P (that=0x0, methodIndex=1045260144, paramCount=1426114992, params=0xffffffff)
    at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_x86_64_linux.cpp:208
#15 0x00007ff94c41e007 in XPCWrappedNative::CallMethod (ccx=@0x7fff48f84760, mode=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp:2424
#16 0x00007ff94c426727 in XPC_WN_CallMethod (cx=0x7ff946820000, obj=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, vp=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp:1583
#17 0x000000388a24c098 in js_Invoke (cx=0x7ff946820000, argc=<value optimized out>, vp=0x7ff9468362b8, flags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:1316
#18 0x000000388a24630e in js_Interpret (cx=0x7ff946820000) at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:5000
#19 0x000000388a24c0f0 in js_Invoke (cx=0x7ff946820000, argc=<value optimized out>, vp=0x7ff946836090, flags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:1334
#20 0x000000388a24c46c in js_InternalInvoke (cx=0x7ff946820000, obj=0x7ff9423c2480, fval=140708559482176, flags=0, argc=615, 
    argv=<value optimized out>, rval=0x7fff48f84f08) at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:1391
#21 0x000000388a218da3 in JS_CallFunctionValue (cx=0x0, obj=0x7ff93e4d6770, fval=140708849699248, argc=<value optimized out>, 
    argv=<value optimized out>, rval=<value optimized out>) at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsapi.cpp:5265
#22 0x00007ff9470737b5 in nsJSContext::CallEventHandler (this=0x7ff94680b970, aTarget=<value optimized out>, aScope=<value optimized out>, 
    aHandler=0x7ff943b46d40, aargv=0x7ff93e4f61a0, arv=0x7fff48f850f0)
    at /usr/src/debug/thunderbird-3.0/mozilla/dom/src/base/nsJSEnvironment.cpp:2000
#23 0x00007ff9470ab466 in nsJSEventListener::HandleEvent (this=0x7ff9444a27c0, aEvent=0x7ff93e4f50b0)
    at /usr/src/debug/thunderbird-3.0/mozilla/dom/src/events/nsJSEventListener.cpp:247
#24 0x00007ff946f79f19 in nsEventListenerManager::HandleEventSubType (this=0x7ff94403ff60, aListenerStruct=<value optimized out>, 
    aListener=0x7ff9444a27c0, aDOMEvent=0x7ff93e4f50b0, aCurrentTarget=0x7ff945333880, aPhaseFlags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/content/events/src/nsEventListenerManager.cpp:1090
#25 0x00007ff946f7a2c1 in nsEventListenerManager::HandleEvent (this=0x7ff94403ff60, aPresContext=<value optimized out>, 
    aEvent=0x7fff48f85630, aDOMEvent=0x7fff48f854e0, aCurrentTarget=<value optimized out>, aFlags=<value optimized out>, 
    aEventStatus=0x7fff48f854e8) at /usr/src/debug/thunderbird-3.0/mozilla/content/events/src/nsEventListenerManager.cpp:1195
#26 0x00007ff946f94f32 in nsEventTargetChainItem::HandleEvent (this=0x7ff93e4f3038, aVisitor=@0x7fff48f854d0, aFlags=6, 
    aMayHaveNewListenerManagers=1160984704) at /usr/src/debug/thunderbird-3.0/mozilla/content/events/src/nsEventDispatcher.cpp:236
#27 0x00007ff946f95067 in nsEventTargetChainItem::HandleEventTargetChain (this=<value optimized out>, aVisitor=@0x7fff48f854d0, 
    aFlags=<value optimized out>, aCallback=0x0, aMayHaveNewListenerManagers=1)
    at /usr/src/debug/thunderbird-3.0/mozilla/content/events/src/nsEventDispatcher.cpp:300
#28 0x00007ff946f954ef in nsEventDispatcher::Dispatch (aTarget=<value optimized out>, aPresContext=<value optimized out>, 
    aEvent=0x7fff48f85630, aDOMEvent=0x0, aEventStatus=0x7fff48f856ec, aCallback=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/content/events/src/nsEventDispatcher.cpp:514
#29 0x00007ff947053fc3 in nsXULCommandDispatcher::UpdateCommands (this=0x7ff945ac4ac0, aEventName=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/content/xul/document/src/nsXULCommandDispatcher.cpp:407
#30 0x0000003778678465 in NS_InvokeByIndex_P (that=0x0, methodIndex=1045260144, paramCount=1426114992, params=0xffffffff)
    at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_x86_64_linux.cpp:208
#31 0x00007ff94c41e007 in XPCWrappedNative::CallMethod (ccx=@0x7fff48f85d00, mode=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp:2424
#32 0x00007ff94c426727 in XPC_WN_CallMethod (cx=0x7ff946820000, obj=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, vp=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp:1583
#33 0x000000388a24c098 in js_Invoke (cx=0x7ff946820000, argc=<value optimized out>, vp=0x7ff946836058, flags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:1316
#34 0x000000388a24630e in js_Interpret (cx=0x7ff946820000) at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:5000
#35 0x000000388a24c0f0 in js_Invoke (cx=0x7ff946820000, argc=<value optimized out>, vp=0x7ff946836038, flags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:1334
#36 0x000000388a24c46c in js_InternalInvoke (cx=0x7ff946820000, obj=0x7ff946824e00, fval=140708569260608, flags=0, argc=615, 
    argv=<value optimized out>, rval=0x7fff48f864a8) at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsinterp.cpp:1391
#37 0x000000388a218da3 in JS_CallFunctionValue (cx=0x0, obj=0x7ff93e4d6770, fval=140708849699248, argc=<value optimized out>, 
    argv=<value optimized out>, rval=<value optimized out>) at /usr/src/debug/thunderbird-3.0/mozilla/js/src/jsapi.cpp:5265
#38 0x00007ff9470737b5 in nsJSContext::CallEventHandler (this=0x7ff94680b970, aTarget=<value optimized out>, aScope=<value optimized out>, 
    aHandler=0x7ff94449a240, aargv=0x7ff94191b3a8, arv=0x7fff48f86640)
    at /usr/src/debug/thunderbird-3.0/mozilla/dom/src/base/nsJSEnvironment.cpp:2000
#39 0x00007ff9470898bf in nsGlobalWindow::RunTimeout (this=0x7ff946821000, aTimeout=0x7ff9418108e0)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/thunderbird-3.0/mozilla/dom/src/base/nsGlobalWindow.cpp:7664
#40 0x00007ff947089bd6 in nsGlobalWindow::TimerCallback (aTimer=<value optimized out>, aClosure=0x7ff93e4d6770)
    at /usr/src/debug/thunderbird-3.0/mozilla/dom/src/base/nsGlobalWindow.cpp:7996
#41 0x000000377866f0f5 in nsTimerImpl::Fire (this=0x7ff946865330)
    at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/threads/nsTimerImpl.cpp:420
#42 0x000000377866f1c4 in nsTimerEvent::Run (this=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/threads/nsTimerImpl.cpp:512
#43 0x000000377866cab5 in nsThread::ProcessNextEvent (this=0x7ff95504f1f0, mayWait=1, result=0x7fff48f8678c)
    at /usr/src/debug/thunderbird-3.0/mozilla/xpcom/threads/nsThread.cpp:510
#44 0x000000377863d984 in NS_ProcessNextEvent_P (thread=0x0, mayWait=1045260144) at nsThreadUtils.cpp:227
#45 0x00007ff94bfd2591 in nsBaseAppShell::Run (this=0x7ff954f0c880)
    at /usr/src/debug/thunderbird-3.0/mozilla/widget/src/xpwidgets/nsBaseAppShell.cpp:170
#46 0x00007ff94b0d18a2 in nsAppStartup::Run (this=0x7ff94e684980)
    at /usr/src/debug/thunderbird-3.0/mozilla/toolkit/components/startup/src/nsAppStartup.cpp:192
#47 0x0000003778a195ca in XRE_main (argc=<value optimized out>, argv=<value optimized out>, aAppData=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/mozilla/toolkit/xre/nsAppRunner.cpp:3279
#48 0x00000000004019bc in main (argc=1, argv=0x7fff48f86fc8) at /usr/src/debug/thunderbird-3.0/mail/app/nsMailApp.cpp:103
Comment 11 Michal Nowak 2009-08-03 05:05:51 EDT
Ryan: Thanks for the reproducer, please make sure upstream (since this BZ is closed UPSTREAM) knows about it. Thanks.
Comment 12 Matěj Cepl 2009-10-16 07:07:34 EDT
*** Bug 528694 has been marked as a duplicate of this bug. ***
Comment 13 Matěj Cepl 2009-11-06 10:51:46 EST
*** Bug 533359 has been marked as a duplicate of this bug. ***
Comment 14 Matěj Cepl 2009-11-25 12:42:53 EST
*** Bug 540852 has been marked as a duplicate of this bug. ***
Comment 15 Matěj Cepl 2009-12-09 20:00:33 EST
*** Bug 545338 has been marked as a duplicate of this bug. ***
Comment 16 Matěj Cepl 2009-12-09 20:00:33 EST
*** Bug 542918 has been marked as a duplicate of this bug. ***
Comment 17 Matěj Cepl 2009-12-09 20:00:33 EST
*** Bug 542721 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.